The Remove Individual From Group service will accept a group id and an individual id and remove that user from that group.
Service Name
remove_individual_from_group
Required Parameters
| Name | Type |
|---|---|
| id | integer |
| group_id | integer |
Optional Parameters
None
Example Curl
curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=remove_individual_from_group&id=48&group_id=12"Example Response XML
<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
<request>
<parameters>
<argument value="remove_individual_from_group" name="srv"/>
<argument value="48" name="id"/>
<argument value="23" name="group_id"/>
</parameters>
</request>
<response>
<service>remove_individual_from_group</service>
<service_action>execute</service_action>
<availability>public</availability>
<groups count="1">
<group id="23">
<name>**Ninja Turtle Club**</name>
<description>Fight by night</description>
<image></image>
<campus id="1">Church of Cucumbers</campus>
<main_leader id="49">
<first_name>Group</first_name>
<last_name>Leader</last_name>
<full_name>Group Leader</full_name>
<email>[email protected]</email>
<phones>
<phone type="mobile"></phone>
</phones>
</main_leader>
<leaders>
<leader id="34">
<first_name>Assistant</first_name>
<last_name>Group Leader</last_name>
<full_name>Assistant Group Leader</full_name>
<email>[email protected]</email>
<phones>
<phone type="mobile"></phone>
</phones>
</leader>
</leaders>
<participants/>
<group_type id="1">Care / Small Group</group_type>
<department id="0"></department>
<area id="0"></area>
<calendar_feed>webcal://yourchurch.ccbchurch.com/group_calendar.ics?id=23&tk=ABC123</calendar_feed>
<registration_forms/>
<current_members>8</current_members>
<group_capacity>Unlimited</group_capacity>
<addresses/>
<meeting_day id="0"></meeting_day>
<meeting_time id="0"></meeting_time>
<childcare_provided>false</childcare_provided>
<interaction_type>Members Interact</interaction_type>
<membership_type>Invitation or Request Required</membership_type>
<notification>false</notification>
<user_defined_fields/>
<listed>true</listed>
<public_search_listed>false</public_search_listed>
<inactive>false</inactive>
<creator id="1">Larry Cucumber</creator>
<modifier id="1">Larry Cucumber</modifier>
<created>2012-09-20 08:51:01</created>
<modified>2012-10-05 16:34:47</modified>
</group>
</groups>
</response>
</ccb_api>